Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
Sequence Constructor (SequenceConfig, Transaction)
Sequence Class See Also Send Feedback

Instantiate a new Sequence object.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public Sequence(
    	SequenceConfig cfg,
    	Transaction txn
    )

Visual Basic (Declaration)
    Public Sub New ( _
    	cfg As SequenceConfig, _
    	txn As Transaction _
    )

Visual C++
    public:
    Sequence(
    	SequenceConfig^ cfg,
    	Transaction^ txn
    )

#### Parameters

cfg
  Type: BerkeleyDB..::.SequenceConfig
  Configuration parameters for the Sequence

txn
  Type: BerkeleyDB..::.Transaction
  If the operation is part of an application-specified transaction, txn is a Transaction object returned from BeginTransaction()()(); if the operation is part of a Berkeley DB Concurrent Data Store group, txn is a handle returned from BeginCDSGroup()()(); otherwise null.

# Remarks

If txn is null and the operation occurs in a transactional database, the operation will be implicitly transaction protected.

# See Also

Sequence Class
Sequence Overload
BerkeleyDB Namespace